Bug 1471156 - Review Request: berry - Modern and light image viewer
Review Request: berry - Modern and light image viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 10:25 EDT by MartinKG
Modified: 2017-08-24 06:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 06:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description MartinKG 2017-07-14 10:25:06 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/berry.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/berry-1.0.0-1.fc26.src.rpm

Description: %description
Berry is a modern and new image viewer which is focusing on User interface.
Berry is trying to provide an easy to use and touch screen compatible user
interface.
Fedora Account System Username: martinkg

%changelog
* Fri Jul 14 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-1
- Initial release

rpmlint -i -v berry.spec /home/martin/rpmbuild/SRPMS/berry-1.0.0-1.fc26.src.rpm /home/martin/rpmbuild/RPMS/x86_64/berry-1.0.0-1.fc26.x86_64.rpm /home/martin/rpmbuild/RPMS/x86_64/berry-debuginfo-1.0.0-1.fc26.x86_64.rpm
berry.spec: I: checking
berry.spec: I: checking-url http://aseman.co/downloads/berry/1/berry-1.0.0-src.tar.gz (timeout 10 seconds)
berry.src: I: checking
berry.src: I: checking-url http://aseman.co/en/ (timeout 10 seconds)
berry.src: I: checking-url http://aseman.co/downloads/berry/1/berry-1.0.0-src.tar.gz (timeout 10 seconds)
berry.x86_64: I: checking
berry.x86_64: I: checking-url http://aseman.co/en/ (timeout 10 seconds)
berry.x86_64: W: no-manual-page-for-binary berry
Each executable in standard binary directories should have a man page.

berry-debuginfo.x86_64: I: checking
berry-debuginfo.x86_64: I: checking-url http://aseman.co/en/ (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 1 Robert-André Mauchin 2017-08-22 10:30:09 EDT
Hello,


 - Why do you have:

%postun
/sbin/ldconfig

  There is no .so in this app, no need for ldconfig

  - gtk-update-icon-cache must be run in %post and %postun, not in %trans See the scriplet https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets#GTK.2B_icon_cache

  - update-mime-database is not needed in %trans either.

  - it would be great to include an Appdata file. See https://fedoraproject.org/wiki/Packaging:AppData

  - There are several files under BSD:

BSD (3 clause)
--------------
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/CalendarStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/FocusFrameStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/MenuBarStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/SliderStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/StatusBarStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/TableViewStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/TextAreaStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/ToolBarStyle.qml

  Please include it in License: and detail what each license covers.
Comment 2 Robert-André Mauchin 2017-08-22 10:31:28 EDT
My bad, gtk-update-icon-cache does need to be run in %posttrans
Comment 3 Robert-André Mauchin 2017-08-22 10:37:24 EDT
update-desktop-database should not be used on Fedora 24+. See https://fedoraproject.org/wiki/Packaging:Scriptlets#desktop-database
Comment 4 Robert-André Mauchin 2017-08-22 10:39:01 EDT
Similarly update-mime-info is obsolete. See: https://fedoraproject.org/w/index.php?title=Packaging:Scriptlets&oldid=481889#mimeinfo
Comment 5 Robert-André Mauchin 2017-08-22 10:43:18 EDT
Use find-lang to handle translation. The -with-qt option finds *.qm files for you.

%install
%find_lang %{name} --with-qt


%files -f %{name}.lang

See https://fedoraproject.org/wiki/PackagingDrafts/find_lang
Comment 6 Robert-André Mauchin 2017-08-22 11:09:58 EDT
Disregard the translation comment above, it seems berry install its translations in a non-standard location.
Comment 7 MartinKG 2017-08-22 15:11:38 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/berry.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/berry-1.0.0-2.fc26.src.rpm

%changelog
* Tue Aug 22 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-2
- add %%{name}.appdata.xml
- dropped /sbin/ldconfig not needed
- dropped update-desktop-database should not be used on Fedora 24+
- dropped update-mime-info it's obsolete
- add %%find-lang to handle translation
Comment 8 Robert-André Mauchin 2017-08-23 03:25:37 EDT
Hello,

There's one last thing, some part of the code are licensed under BSD:

BSD (3 clause)
--------------
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/CalendarStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/FocusFrameStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/MenuBarStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/SliderStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/StatusBarStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/TableViewStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/TextAreaStyle.qml
berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/ToolBarStyle.qml

Even if the resulting package is GPL, it should be reflected in the License: tag  of the spec file, with a comment specifying which part is BSD.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (v2.1) LGPL (v2.1)", "LGPL (v2.1 or
     v3)", "GPL (v3 or later)", "Unknown or generated". 179 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/berry/review-berry/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/mime/application
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/scalable/apps, /usr/share/mime,
     /usr/share/icons/hicolor, /usr/share/mime/application,
     /usr/share/icons/hicolor/scalable
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in berry
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in berry-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: berry-1.0.0-2.fc28.x86_64.rpm
          berry-debuginfo-1.0.0-2.fc28.x86_64.rpm
          berry-1.0.0-2.fc28.src.rpm
berry.x86_64: W: only-non-binary-in-usr-lib
berry.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
berry.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
berry.x86_64: W: no-manual-page-for-binary berry
3 packages and 0 specfiles checked; 0 errors, 4 warnings.
Comment 9 MartinKG 2017-08-23 03:29:17 EDT
(In reply to Robert-André Mauchin from comment #8)
> Hello,
> 
> There's one last thing, some part of the code are licensed under BSD:
> 
> BSD (3 clause)
> --------------
> berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/CalendarStyle.qml
> berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/FocusFrameStyle.qml
> berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/MenuBarStyle.qml
> berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/SliderStyle.qml
> berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/StatusBarStyle.qml
> berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/TableViewStyle.qml
> berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/TextAreaStyle.qml
> berry/asemantools/qml/AsemanTools/Controls/Styles/Desktop/ToolBarStyle.qml
> 
> Even if the resulting package is GPL, it should be reflected in the License:
> tag  of the spec file, with a comment specifying which part is BSD.
> 

sorry forgot to change the license part.

Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/berry.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/berry-1.0.0-3.fc26.src.rpm

%changelog
* Wed Aug 23 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-3
- add license breakdown
Comment 10 Robert-André Mauchin 2017-08-23 06:47:48 EDT
Add the license breakdown in comment. It doesn't show on the above spec.

Otherwise it's good, package accepted.
Comment 11 MartinKG 2017-08-23 07:10:55 EDT
(In reply to Robert-André Mauchin from comment #10)
> Add the license breakdown in comment. It doesn't show on the above spec.
> 
> Otherwise it's good, package accepted.

done.
Thanks for the review.
Comment 12 MartinKG 2017-08-24 06:47:04 EDT
package has been built successfully on f25, f26, f27 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.